﻿@model Tuple<ARGNSTechPackLineView, List<ARGNSTechPackSectionView>>

@{
    string mFileUpload = "file-ImgUpload" + Model.Item1.LineId;
    string mFileUploadChange = "fileImgUploadChange" + Model.Item1.LineId;
    string mIsNew = "IsNew" + Model.Item1.LineId;
    string mLineId = "LineId" + Model.Item1.LineId;
    string mDivLineId = "DivLineId" + Model.Item1.LineId;
    string mCheckBox = "mCheckBox" + Model.Item1.LineId;

    <div id='@mDivLineId' class="techpack_box">
        <div class="col-md-1">
            <div class="row">&nbsp;</div>
            <div class="row">
                <button type="button" onclick="DeleteRow('@mDivLineId');" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#myModal"><span class="glyphicon glyphicon-trash"></span>&nbsp;</button>
            </div>
            <input type="hidden" name="@mIsNew" id="@mIsNew" value="@(Model.Item1.IsNew ? "true" : "false")" />
        </div>
        <div class="col-md-2">
            <div class="row"><strong>@PDM.Section</strong> </div>
            <div class="row padding-right">
                @Html.DropDownListFor(c => Model.Item1.U_InstCod, new SelectList(
                            Model.Item2,
                            "U_InsCode",
                            "U_Section", Model.Item1.U_InstCod), new { @Id = "Section" + Model.Item1.LineId, @class = "form-control" })
            </div>
        </div>
        <div class="col-md-2">
            <div class="row"><strong>@PDM.Title</strong> </div>
            <div class="row padding-right">
                @Html.TextBoxFor(c => Model.Item1.U_Instuct, new { @Id = "SectionName" + Model.Item1.LineId, @Name = "SectionName" + Model.Item1.LineId, @placeholder = PDM.Title, @class = "form-control" })
            </div>
        </div>
        <div class="col-md-3">
            <div class="row"><strong>@PDM.Desc</strong> </div>
            <div class="row padding-right">
                @Html.TextAreaFor(c => Model.Item1.U_Descrip, new { @Id = "Description" + Model.Item1.LineId, @Name = "Description" + Model.Item1.LineId, @placeholder = PDM.Desc, @class = "form-control" })
            </div>
        </div>
        <div class="col-md-3">
            <div class="row"><strong>@PDM.Image</strong> </div>
            <div class="row padding-right">
                <div class="form-group">
                    <input id="@mFileUpload" type="file" class="file" data-overwrite-initial="true">
                    <input type="hidden" name="@mFileUploadChange" id="@mFileUploadChange" value="false" />
                </div>
                @*Si tiene Imagen la linea hago el preview*@
                @if (!string.IsNullOrEmpty(Model.Item1.U_Imag))
                {
                    <script>
                    $("#@mFileUpload").fileinput({
                    uploadUrl: '#',
                        overwriteInitial: true,
                        initialPreview: [
                        '/images/@Model.Item1.U_ModCode' + '_TeckPack/@System.IO.Path.GetFileName(Model.Item1.U_Imag)'
                        ],
                        initialPreviewAsData: true,
                        initialPreviewConfig: [
                            { caption: "@System.IO.Path.GetFileName(Model.Item1.U_Imag)", url: '/PLM/TechPack/DeleteDragAndDropImg' }
                        ],
                        slugCallback: function (filename) {
                            return filename.replace('(', '_').replace(']', '_');
                        },
                        allowedFileExtensions: ['jpg', 'png', 'gif']
                    });
                    $('#@mFileUpload').on('change', function (event) {
                        $('#@mFileUploadChange').val(true);
                    });
                    $('#@mFileUpload').on('fileselect', function (event, numFiles, label) {
                        $('#@mFileUploadChange').val(true);
                    });
                    $('#@mFileUpload').on('filecleared', function (event) {
                        $('#@mFileUploadChange').val(true);
                    });
                    </script>
                }
                @*Si no tiene Imagen la linea dejo simplemente el drag and drop*@
                else
                {
                    <script>
                    $("#@mFileUpload").fileinput({
                    uploadUrl: '#',
                        overwriteInitial: true,
                        slugCallback: function (filename) {
                            return filename.replace('(', '_').replace(']', '_');
                        },
                        allowedFileExtensions: ['jpg', 'png', 'gif']
                    });
                    $('#@mFileUpload').on('change', function (event) {
                        $('#@mFileUploadChange').val(true);
                    });
                    $('#@mFileUpload').on('fileselect', function (event, numFiles, label) {
                        $('#@mFileUploadChange').val(true);
                    });
                    $('#@mFileUpload').on('filecleared', function (event) {
                        $('#@mFileUploadChange').val(true);
                    });
                    </script>
                }
            </div>
        </div>
        <div class="col-md-1 pull-right">
            <div class="row">&nbsp;</div>
            <input type="checkbox" id="@mCheckBox" name="@mCheckBox" @((Model.Item1.U_Active == "Y" ? "checked": "" ))>
        </div>
    </div>
}
